[loggers]
keys=root,service_ui_app,load_cfg,service_ui_core,service_ui_gui,control_w,
     mac_gui,connection_gui,pwd_gui

[handlers]
keys=consoleHandler,LFdbg,LFinfo,LFwarn

[formatters]
keys=name,name_time

###############################################################################
# Levels: DEBUG,INFO,WANR,ERORR
###############################################################################
[logger_root]
level=DEBUG
handlers=consoleHandler,LFdbg,LFinfo,LFwarn
qualname=ROOT
propagate=0

[logger_service_ui_app]
level=DEBUG
handlers=consoleHandler,LFdbg,LFinfo,LFwarn
qualname=Service UI application
propagate=0

[logger_load_cfg]
level=DEBUG
handlers=consoleHandler,LFdbg,LFinfo,LFwarn
qualname=Load configuration
propagate=0

[logger_service_ui_core]
level=DEBUG
handlers=consoleHandler,LFdbg,LFinfo,LFwarn
qualname=Service UI core
propagate=0

[logger_service_ui_gui]
level=DEBUG
handlers=consoleHandler,LFdbg,LFinfo,LFwarn
qualname=Service UI - GUI
propagate=0

[logger_control_w]
level=DEBUG
handlers=consoleHandler,LFdbg,LFinfo,LFwarn
qualname=Control window
propagate=0

[logger_mac_gui]
level=DEBUG
handlers=consoleHandler,LFdbg,LFinfo,LFwarn
qualname=MAC GUI
propagate=0

[logger_connection_gui]
level=DEBUG
handlers=consoleHandler,LFdbg,LFinfo,LFwarn
qualname=Connection - GUI
propagate=0

[logger_pwd_gui]
level=DEBUG
handlers=consoleHandler,LFdbg,LFinfo,LFwarn
qualname=Password - GUI
propagate=0

###############################################################################
# output handlers
###############################################################################

[handler_consoleHandler]
class=StreamHandler
level=DEBUG
formatter=name
args=(sys.stdout,)

[handler_LFdbg]
class=FileHandler
level=DEBUG
formatter=name_time
args=('Log_debug.txt', 'w')

[handler_LFinfo]
class=FileHandler
level=INFO
formatter=name_time
args=('Log_info.txt', 'w')

[handler_LFwarn]
class=FileHandler
level=WARN
formatter=name_time
args=('Log_warn.txt', 'w')


# Formater for console (without timestamps - not good for file)
[formatter_name]
format=
 %(levelname)s | %(name)s | %(message)s

datefmt=

# Format with timestamps (good for files, not good for console)
[formatter_name_time]
format=
 %(levelname)s | %(name)s | %(asctime)s | %(message)s

datefmt=
